Skala
Product recipe items

List all product recipe items

Fetches a complete list of product recipe item records available in the system.

GET
/api/product_recipe_items

Fetches a complete list of product recipe item records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/product_recipe_items"
[
  {
    "id": 0,
    "amount": "string",
    "note": "string",
    "cost": "string",
    "recipe": "/entity/1",
    "stock": "/entity/1",
    "productRecipeItemVariantOptions": [
      {
        "id": 0,
        "recipeItem": "/entity/1",
        "variantOption": "/entity/1",
        "variantOptionValues": [
          {}
        ]
      }
    ],
    "wastage": "string",
    "amountWithWastage": "string",
    "normalizedCost": "string",
    "currency": "/entity/1",
    "rate": "string",
    "position": 1,
    "unitCost": "string",
    "normalizedUnitPrice": "string",
    "normalizedUnitCost": "string",
    "company": "/entity/1",
    "createdBy": "/entity/1",
    "updatedBy": "/entity/1",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z"
  }
]